summaryrefslogtreecommitdiffstats
path: root/tests/variable_leading_underscore.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/variable_leading_underscore.sh')
-rwxr-xr-xtests/variable_leading_underscore.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/tests/variable_leading_underscore.sh b/tests/variable_leading_underscore.sh
new file mode 100755
index 0000000..3d80864
--- /dev/null
+++ b/tests/variable_leading_underscore.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+# Copyright 2015 Red Hat, Inc.
+# This file is part of the rsyslog project, released under ASL 2.0
+# The configuration test should pass because we now support leading
+# underscores in variable names.
+. ${srcdir:=.}/diag.sh init
+../tools/rsyslogd -C -N1 -f$srcdir/testsuites/variable_leading_underscore.conf -M../runtime/.libs:../.libs
+if [ $? -ne 0 ]; then
+ echo "Error: config check fail"
+ exit 1
+fi
+exit_test
+